# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""remove remnants of capability steps

Revision ID: 91f96bd53b5b
Revises: 0b12fe010462
Create Date: 2021-10-15 11:32:03.672887

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "91f96bd53b5b"
down_revision = "0b12fe010462"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        ALTER TABLE capabilities DROP COLUMN capability_steps;
        ALTER TABLE capability_executions DROP COLUMN steps;
        ALTER TABLE capability_executions DROP COLUMN current_step;
        """
    )


def downgrade():

    op.execute(
        """
        ALTER TABLE capabilities ADD COLUMN capability_steps varchar;
        ALTER TABLE capability_executions ADD COLUMN steps varchar;
        ALTER TABLE capability_executions ADD COLUMN current_step numeric DEFAULT 0;
        """
    )
